<?php

class GetContactsResponse
{

    /**
     * @var string $IsError
     */
    protected $IsError = null;

    /**
     * @var int $ErrorCode
     */
    protected $ErrorCode = null;

    /**
     * @var string $ErrorMessage
     */
    protected $ErrorMessage = null;

    /**
     * @var int $ContactCode
     */
    protected $ContactCode = null;

    /**
     * @var string $LastName
     */
    protected $LastName = null;

    /**
     * @var string $FirstName
     */
    protected $FirstName = null;

    /**
     * @var string $Name
     */
    protected $Name = null;

    /**
     * @var int $CiviliteCode
     */
    protected $CiviliteCode = null;

    /**
     * @var string $CiviliteTitle
     */
    protected $CiviliteTitle = null;

    /**
     * @var string $Email
     */
    protected $Email = null;

    /**
     * @var string $Mobile
     */
    protected $Mobile = null;

    /**
     * @var string $Fixe
     */
    protected $Fixe = null;

    /**
     * @var string $ServiceCode
     */
    protected $ServiceCode = null;

    /**
     * @var string $ServiceLib
     */
    protected $ServiceLib = null;

    /**
     * @param string $IsError
     * @param int $ErrorCode
     * @param string $ErrorMessage
     * @param int $ContactCode
     * @param string $LastName
     * @param string $FirstName
     * @param string $Name
     * @param int $CiviliteCode
     * @param string $CiviliteTitle
     * @param string $Email
     * @param string $Mobile
     * @param string $Fixe
     * @param string $ServiceCode
     * @param string $ServiceLib
     */
    public function __construct($IsError, $ErrorCode, $ErrorMessage, $ContactCode, $LastName, $FirstName, $Name, $CiviliteCode, $CiviliteTitle, $Email, $Mobile, $Fixe, $ServiceCode, $ServiceLib)
    {
      $this->IsError = $IsError;
      $this->ErrorCode = $ErrorCode;
      $this->ErrorMessage = $ErrorMessage;
      $this->ContactCode = $ContactCode;
      $this->LastName = $LastName;
      $this->FirstName = $FirstName;
      $this->Name = $Name;
      $this->CiviliteCode = $CiviliteCode;
      $this->CiviliteTitle = $CiviliteTitle;
      $this->Email = $Email;
      $this->Mobile = $Mobile;
      $this->Fixe = $Fixe;
      $this->ServiceCode = $ServiceCode;
      $this->ServiceLib = $ServiceLib;
    }

    /**
     * @return string
     */
    public function getIsError()
    {
      return $this->IsError;
    }

    /**
     * @param string $IsError
     * @return GetContactsResponse
     */
    public function setIsError($IsError)
    {
      $this->IsError = $IsError;
      return $this;
    }

    /**
     * @return int
     */
    public function getErrorCode()
    {
      return $this->ErrorCode;
    }

    /**
     * @param int $ErrorCode
     * @return GetContactsResponse
     */
    public function setErrorCode($ErrorCode)
    {
      $this->ErrorCode = $ErrorCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getErrorMessage()
    {
      return $this->ErrorMessage;
    }

    /**
     * @param string $ErrorMessage
     * @return GetContactsResponse
     */
    public function setErrorMessage($ErrorMessage)
    {
      $this->ErrorMessage = $ErrorMessage;
      return $this;
    }

    /**
     * @return int
     */
    public function getContactCode()
    {
      return $this->ContactCode;
    }

    /**
     * @param int $ContactCode
     * @return GetContactsResponse
     */
    public function setContactCode($ContactCode)
    {
      $this->ContactCode = $ContactCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getLastName()
    {
      return $this->LastName;
    }

    /**
     * @param string $LastName
     * @return GetContactsResponse
     */
    public function setLastName($LastName)
    {
      $this->LastName = $LastName;
      return $this;
    }

    /**
     * @return string
     */
    public function getFirstName()
    {
      return $this->FirstName;
    }

    /**
     * @param string $FirstName
     * @return GetContactsResponse
     */
    public function setFirstName($FirstName)
    {
      $this->FirstName = $FirstName;
      return $this;
    }

    /**
     * @return string
     */
    public function getName()
    {
      return $this->Name;
    }

    /**
     * @param string $Name
     * @return GetContactsResponse
     */
    public function setName($Name)
    {
      $this->Name = $Name;
      return $this;
    }

    /**
     * @return int
     */
    public function getCiviliteCode()
    {
      return $this->CiviliteCode;
    }

    /**
     * @param int $CiviliteCode
     * @return GetContactsResponse
     */
    public function setCiviliteCode($CiviliteCode)
    {
      $this->CiviliteCode = $CiviliteCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getCiviliteTitle()
    {
      return $this->CiviliteTitle;
    }

    /**
     * @param string $CiviliteTitle
     * @return GetContactsResponse
     */
    public function setCiviliteTitle($CiviliteTitle)
    {
      $this->CiviliteTitle = $CiviliteTitle;
      return $this;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
      return $this->Email;
    }

    /**
     * @param string $Email
     * @return GetContactsResponse
     */
    public function setEmail($Email)
    {
      $this->Email = $Email;
      return $this;
    }

    /**
     * @return string
     */
    public function getMobile()
    {
      return $this->Mobile;
    }

    /**
     * @param string $Mobile
     * @return GetContactsResponse
     */
    public function setMobile($Mobile)
    {
      $this->Mobile = $Mobile;
      return $this;
    }

    /**
     * @return string
     */
    public function getFixe()
    {
      return $this->Fixe;
    }

    /**
     * @param string $Fixe
     * @return GetContactsResponse
     */
    public function setFixe($Fixe)
    {
      $this->Fixe = $Fixe;
      return $this;
    }

    /**
     * @return string
     */
    public function getServiceCode()
    {
      return $this->ServiceCode;
    }

    /**
     * @param string $ServiceCode
     * @return GetContactsResponse
     */
    public function setServiceCode($ServiceCode)
    {
      $this->ServiceCode = $ServiceCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getServiceLib()
    {
      return $this->ServiceLib;
    }

    /**
     * @param string $ServiceLib
     * @return GetContactsResponse
     */
    public function setServiceLib($ServiceLib)
    {
      $this->ServiceLib = $ServiceLib;
      return $this;
    }

}
